Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 918623 (CVE-2020-18232, CVE-2020-18494) - sci-libs/hdf5: multiple vulnerabilities
Summary: sci-libs/hdf5: multiple vulnerabilities
Status: CONFIRMED
Alias: CVE-2020-18232, CVE-2020-18494
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B2 [ebuild]
Keywords:
Depends on:
Blocks:
 
Reported: 2023-11-26 20:23 UTC by John Helmert III
Modified: 2023-11-26 20:23 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Helmert III archtester Gentoo Infrastructure gentoo-dev Security 2023-11-26 20:23:21 UTC
CVE-2020-18232 (https://github.com/winson2004aa/PAAFS/tree/master/vul2):

Buffer Overflow vulnerability in function H5S_close in H5S.c in HDF5 1.10.4 allows remote attackers to run arbitrary code via creation of crafted file.

CVE-2020-18494 (https://github.com/magicSwordsMan/PAAFS/tree/master/vul12):

Buffer Overflow vulnerability in function H5S_close in H5S.c in HDF5 1.10.4 allows remote attackers to run arbitrary code via creation of crafted file.

No links to reports upstream, wouldn't be surprised if these are complete bogus.